org.apache.ignite.igfs

## Class IgfsFileNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.igfs.IgfsException
          - - org.apache.ignite.igfs.IgfsInvalidPathException
            - - org.apache.ignite.igfs.IgfsFileNotFoundException

All Implemented Interfaces:
  Serializable

    public class IgfsFileNotFoundException
    extends IgfsInvalidPathException

`IGFS` exception indicating that target resource is not found.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgfsFileNotFoundException(String msg)` Creates exception with error message specified.
`IgfsFileNotFoundException(Throwable cause)` Creates exception with given exception cause.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsFileNotFoundException

    public IgfsFileNotFoundException(String msg)

Creates exception with error message specified.

Parameters:
  `msg` - Error message.

#### IgfsFileNotFoundException

    public IgfsFileNotFoundException(Throwable cause)

Creates exception with given exception cause.

Parameters:
  `cause` - Exception cause.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015